<template>

<!-- Dropdown Structure -->
<ul id="dropdown1" class="dropdown-content">
  <li><a href="#!">one</a></li>
  <li><a href="#!">two</a></li>
</ul>

<nav class="nav-extended">
    <div class="nav-wrapper">
      <a href="#" class="brand-logo">Logo</a>
      <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
      <ul id="nav-mobile" class="right hide-on-med-and-down">
        
        <li> <router-link to='/' active-class="active">Accueil</router-link></li>
        <li> <router-link to='/create_article' active-class="active">Create</router-link></li>
        <li> <router-link to='/article' active-class="active">Tous les article</router-link></li>
        <li> <router-link to='/login' v-if="!auth.user" active-class="active">Login</router-link></li>
        <li v-if="auth.user" @click="auth.logout()"> Logout</li>
        <li> <router-link to='/signup' v-if="!auth.user" active-class="active">S'inscrire</router-link></li>
        <li> <router-link to='/test' active-class="active">Test</router-link></li>
      </ul>
    </div>

    <div class="nav-content">
      <ul class="tabs tabs-transparent">
        <div v-for="categorie of categories" :key="categorie.id">
          <li class="tab" >
              <RouterLink :to="'/article/categorie/' + categorie.id" active-class="active"> {{ categorie.name}} </RouterLink>
          </li>  
        </div>
      </ul>
    </div>
    
  </nav>


</template>

<script setup lang="ts">

import { RouterLink, useRoute } from 'vue-router';
import type { Categorie } from '@/entities';
import { fetchCategories } from '@/service/categorie-service';
import { onMounted, ref, watch } from 'vue';
import type { Article } from '@/entities';
import { fetchIdCategoArticles } from '@/service/article-service';
import { useAuth } from '@/stores/auth';

const route = useRoute();
const categories = ref<Categorie[]>([]);
const articles = ref<Article[]>([]);
const auth = useAuth();

console.log(fetchCategories());

onMounted(async()=>{
    categories.value = await fetchCategories();
})

watch(() => route.params.id, async () =>{
    articles.value = await fetchIdCategoArticles(route.params.id);
}, {immediate:true})


</script>

<style scoped>

nav{
background-color: cadetblue;
}

li{
  gap:30px;
}

</style>